Package Details: protonvpn-gui 1.12.0-1

Git Clone URL: https://aur.archlinux.org/protonvpn-gui.git (read-only, click to copy)
Package Base: protonvpn-gui
Description: Official ProtonVPN Graphical User Interface, maintained by the ProtonVPN team.
Upstream URL: https://github.com/ProtonVPN/
Licenses: GPL3
Groups: ProtonVPN
Submitter: protontechag
Maintainer: protontechag (calexandru2018, jllaneras)
Last Packager: calexandru2018
Votes: 63
Popularity: 3.30
First Submitted: 2021-05-28 16:28 (UTC)
Last Updated: 2022-11-02 12:50 (UTC)

Pinned Comments

calexandru2018 commented on 2023-10-31 12:32 (UTC) (edited on 2023-10-31 12:34 (UTC) by calexandru2018)

Hey all, I understand all on the arch community are eager in trying the new app, thus I'll leave here what I wrote on reddit (https://www.reddit.com/r/ProtonVPN/comments/17clwac/comment/k5r1qdg):

We’d love to support the new app for arch Linux but honestly we’re understaffed and don’t have the bandwidth to be supporting the same distros that we did before with the previous client (4 packages before vs 10 packages now). If anyone from the community is willing to make AUR packages for themselves and publish/maintain them we’re totally fine with that, as long as people keep in mind that it would be an unofficial version because we currently don’t support arch Linux with the new v4 app.

Also if anyone’s interested: https://boards.eu.greenhouse.io/proton/jobs/4140067101

Thus I ask people not to flag this as out-of-date for the following reasons: - v4 is a total new implementation and another package, thus marking this as out-of-date is pointless because a new AUR package has to be created for this new version - I won't be either orphaning these packages because there are still people interested in the v3, be it in the GUI or CLI

Latest Comments

1 2 3 4 5 6 .. 8 Next › Last »

danievdm commented on 2023-11-07 14:05 (UTC)

Is it not possible to produce a Flatpak version instead that will work across all Linux distros including Debian, etc?

ali.molaei commented on 2023-11-01 12:53 (UTC)

You can now use https://aur.archlinux.org/packages/proton-vpn-gtk-app :) Cheers

calexandru2018 commented on 2023-10-31 12:32 (UTC) (edited on 2023-10-31 12:34 (UTC) by calexandru2018)

Hey all, I understand all on the arch community are eager in trying the new app, thus I'll leave here what I wrote on reddit (https://www.reddit.com/r/ProtonVPN/comments/17clwac/comment/k5r1qdg):

We’d love to support the new app for arch Linux but honestly we’re understaffed and don’t have the bandwidth to be supporting the same distros that we did before with the previous client (4 packages before vs 10 packages now). If anyone from the community is willing to make AUR packages for themselves and publish/maintain them we’re totally fine with that, as long as people keep in mind that it would be an unofficial version because we currently don’t support arch Linux with the new v4 app.

Also if anyone’s interested: https://boards.eu.greenhouse.io/proton/jobs/4140067101

Thus I ask people not to flag this as out-of-date for the following reasons: - v4 is a total new implementation and another package, thus marking this as out-of-date is pointless because a new AUR package has to be created for this new version - I won't be either orphaning these packages because there are still people interested in the v3, be it in the GUI or CLI

markboston commented on 2023-09-21 23:40 (UTC)

this doesn't work anyone who wants to use protonvpn needs to use the community client.

oberon2007 commented on 2023-05-13 12:51 (UTC)

@r3f try rebuilding python-proton-client

r3f commented on 2023-05-09 12:40 (UTC)

❯ protonvpn Traceback (most recent call last): File "/usr/lib/python3.11/importlib/metadata/init.py", line 563, in from_name return next(cls.discover(name=name)) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ StopIteration

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/protonvpn", line 33, in <module> sys.exit(load_entry_point('protonvpn-gui==1.12.0', 'console_scripts', 'protonvpn')()) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/usr/bin/protonvpn", line 22, in importlib_load_entry_point for entry_point in distribution(dist_name).entry_points ^^^^^^^^^^^^^^^^^^^^^^^ File "/usr/lib/python3.11/importlib/metadata/init.py", line 981, in distribution return Distribution.from_name(distribution_name) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/usr/lib/python3.11/importlib/metadata/init.py", line 565, in from_name raise PackageNotFoundError(name) importlib.metadata.PackageNotFoundError: No package metadata was found for protonvpn-gui

~

morealaz commented on 2022-10-08 08:37 (UTC)

Please rename source line to rename downloaded source file to include pkgname and pkgver in its name:

source=("${pkgname}-${pkgver}.tar.gz::https://github.com/ProtonVPN/linux-app/archive/refs/tags/$pkgver.tar.gz")

vejtics commented on 2022-10-03 14:46 (UTC)

The package required me to manually install pycairo and dbus-python packages via conda in order to work. Not sure about dbus, but since cairo is already a dependency, why didn't it install it automatically?